# OpalPluginStreamedAudioTranscoder Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginStreamedAudioTranscoder:

List of all members.

## Public Member Functions

| OpalPluginStreamedAudioTranscoder (PluginCodec_Definition *_codec, PBoolean _isEncoder, unsigned inputBits, unsigned outputBits)
bool | UpdateMediaFormats (const OpalMediaFormat &input, const OpalMediaFormat &output)
virtual bool | AcceptComfortNoise () const

## Protected Attributes

bool | comfortNoise

## Constructor & Destructor Documentation

OpalPluginStreamedAudioTranscoder::OpalPluginStreamedAudioTranscoder | ( | PluginCodec_Definition * | _codec,
|  | PBoolean | _isEncoder,
|  | unsigned | inputBits,
|  | unsigned | outputBits |
| ) |  |  |

## Member Function Documentation

bool OpalPluginStreamedAudioTranscoder::UpdateMediaFormats | ( | const OpalMediaFormat & | input,
|  | const OpalMediaFormat & | output |
| ) |  |  | `[virtual]`

Update the input and output media formats. This can be used to adjust the parameters of a codec at run time. Note you cannot change the basic media format, eg change GSM0610 to G.711, only options for that format, eg 6k3 mode to 5k3 mode in G.723.1. If the formats are different then a OpalMediaFormat::Merge() is performed.

If a format is empty (invalid) it is ignored and does not update the internal variable. In this way only the input or output side can be updated.

The default behaviour updates the inputMediaFormat and outputMediaFormat member variables.

Reimplemented from OpalTranscoder.

virtual bool OpalPluginStreamedAudioTranscoder::AcceptComfortNoise | ( |  | ) | const`[inline, virtual]`

Reimplemented from OpalTranscoder.

## Member Data Documentation

bool OpalPluginStreamedAudioTranscoder::comfortNoise `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h